## org.hibernate.ejb.criteria.expression
Class ConcatExpression

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<String>
                      org.hibernate.ejb.criteria.expression.ConcatExpression

All Implemented Interfaces:
  Serializable, javax.persistence.criteria.Expression<String>, javax.persistence.criteria.Selection<String>, TupleElement<String>, ExpressionImplementor<String>, ParameterContainer, Renderable, SelectionImplementor<String>, TupleElementImplementor<String>

    public class ConcatExpression

extends ExpressionImpl<String>
implements Serializable

A string concatenation.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`ConcatExpression(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<String> expression1, javax.persistence.criteria.Expression<String> expression2)`
`ConcatExpression(CriteriaBuilderImpl criteriaBuilder, javax.persistence.criteria.Expression<String> string1, String string2)`
`ConcatExpression(CriteriaBuilderImpl criteriaBuilder, String string1, javax.persistence.criteria.Expression<String> string2)`

Method Summary
`javax.persistence.criteria.Expression<String>` `getString1()`
`javax.persistence.criteria.Expression<String>` `getString2()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### ConcatExpression

    public ConcatExpression(CriteriaBuilderImpl criteriaBuilder,
                            javax.persistence.criteria.Expression<String> expression1,
                            javax.persistence.criteria.Expression<String> expression2)

### ConcatExpression

    public ConcatExpression(CriteriaBuilderImpl criteriaBuilder,
                            javax.persistence.criteria.Expression<String> string1,
                            String string2)

### ConcatExpression

    public ConcatExpression(CriteriaBuilderImpl criteriaBuilder,
                            String string1,
                            javax.persistence.criteria.Expression<String> string2)

Method Detail

### getString1

    public javax.persistence.criteria.Expression<String> getString1()

### getString2

    public javax.persistence.criteria.Expression<String> getString2()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.